commit:     1c70d887bd11ad505f93ca7138c6557a830ec380
Author:     Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 13 14:10:00 2024 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Wed Mar 13 14:16:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c70d887

app-pda/libimobiledevice: add 1.3.0_p20240201

Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 app-pda/libimobiledevice/Manifest                  |  1 +
 .../libimobiledevice-1.3.0_p20240201_time_h.patch  | 10 +++
 .../libimobiledevice-1.3.0_p20240201.ebuild        | 76 ++++++++++++++++++++++
 3 files changed, 87 insertions(+)

diff --git a/app-pda/libimobiledevice/Manifest 
b/app-pda/libimobiledevice/Manifest
index 1a1995a017ee..c02e6d5bd5d7 100644
--- a/app-pda/libimobiledevice/Manifest
+++ b/app-pda/libimobiledevice/Manifest
@@ -1 +1,2 @@
 DIST libimobiledevice-1.3.0.tar.bz2 733949 BLAKE2B 
40717280bb3424c7431aa93d06d10de817e6761acf2b19948d80b691cfb4dd4ef0e31b81c8458eed29a43c8c8aa256da7baa3648fb785cfbdb7316daaba119a3
 SHA512 
7b22040552a6561729c79c0846f571b0e608abb7c297567d2ecfdd1718ce86df08a5e34ba51f209bdee96a1917da15e7ba3aaef1d289a951d1d3470b1f89e6a8
+DIST libimobiledevice-1.3.0_p20240201.tar.gz 405723 BLAKE2B 
5f3672e6b3c180440c215d9411eb2f21fe9451d822707e5b11ffff6693dccabfb5d184ef35f36bce2af508cbdebb656923927558ef39669825679a8ebf3cc8ee
 SHA512 
d3746b7e0803840489593c9a3d8c8b16f6d4be5e2cd5c947d05be31e49c095c6503ef9150c886a87c68f4694bc6c1bfba96c4578789adc8f165a6391d0e4918f

diff --git 
a/app-pda/libimobiledevice/files/libimobiledevice-1.3.0_p20240201_time_h.patch 
b/app-pda/libimobiledevice/files/libimobiledevice-1.3.0_p20240201_time_h.patch
new file mode 100644
index 000000000000..b158c97164b1
--- /dev/null
+++ 
b/app-pda/libimobiledevice/files/libimobiledevice-1.3.0_p20240201_time_h.patch
@@ -0,0 +1,10 @@
+--- a/tools/afcclient.c
++++ b/tools/afcclient.c
+@@ -36,6 +36,7 @@
+ #include <signal.h>
+ #include <ctype.h>
+ #include <unistd.h>
++#include <time.h>
+ 
+ #ifdef WIN32
+ #include <windows.h>

diff --git a/app-pda/libimobiledevice/libimobiledevice-1.3.0_p20240201.ebuild 
b/app-pda/libimobiledevice/libimobiledevice-1.3.0_p20240201.ebuild
new file mode 100644
index 000000000000..d62ad8f41e79
--- /dev/null
+++ b/app-pda/libimobiledevice/libimobiledevice-1.3.0_p20240201.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_COMMIT=73b6fd183872096f20e6d1007429546a317a7cb1
+
+DESCRIPTION="Support library to communicate with Apple iPhone/iPod Touch 
devices"
+HOMEPAGE="https://www.libimobiledevice.org/";
+SRC_URI="https://github.com/libimobiledevice/libimobiledevice/archive/${MY_COMMIT}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_COMMIT}
+
+# While COPYING* doesn't mention 'or any later version', all the headers do, 
hence use +
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/1.0-6" # based on SONAME of libimobiledevice-1.0.so
+KEYWORDS="~amd64"
+IUSE="doc gnutls readline static-libs"
+
+RDEPEND="
+       app-pda/libimobiledevice-glue:=
+       >=app-pda/libplist-2.3:=
+       >=app-pda/libusbmuxd-2.0.2:=
+       gnutls? (
+               dev-libs/libgcrypt:0
+               >=dev-libs/libtasn1-1.1
+               >=net-libs/gnutls-2.2.0
+       )
+       !gnutls? (
+               dev-libs/openssl:0=
+       )
+       readline? ( sys-libs/readline:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( app-text/doxygen )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.3.0_p20240201_time_h.patch
+)
+
+src_prepare() {
+       default
+       echo ${PV}-${MY_COMMIT} > .tarball-version
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --without-cython
+               $(use_enable static-libs static)
+       )
+       use gnutls && myeconfargs+=( --disable-openssl )
+       # --with-readline also causes readline to not be used
+       use readline || myeconfargs+=( --without-readline )
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       emake
+
+       if use doc; then
+               doxygen "${BUILD_DIR}"/doxygen.cfg || die
+       fi
+}
+
+src_install() {
+       emake install DESTDIR="${D}"
+
+       use doc && dodoc docs/html/*
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to